Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url http://{host}:{port}/proxies/{name} \ --header 'Authorization: Bearer <token>'
import requests url = "http://{host}:{port}/proxies/{name}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('http://{host}:{port}/proxies/{name}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_PORT => "62437", CURLOPT_URL => "http://{host}:{port}/proxies/{name}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "http://{host}:{port}/proxies/{name}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("http://{host}:{port}/proxies/{name}") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("http://{host}:{port}/proxies/{name}") http = Net::HTTP.new(url.host, url.port) request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "name": "示例节点 A", "type": "Shadowsocks", "now": "", "all": [], "history": [ { "time": "2026-06-22T13:19:22Z", "delay": 108 } ], "udp": true, "alive": true }
在请求头中携带 Authorization: Bearer ${secret},其中 secret 对应配置中的 secret 字段.若未设置 secret 可省略,但强烈建议设置.
代理名称.
代理信息.
代理节点或策略组的信息.普通代理仅含公共字段;策略组另含 now/all 等字段.
"默认"
如 Shadowsocks、VMess、DIRECT、Selector、URLTest、Fallback、LoadBalance 等.
"Selector"
是否支持 UDP.
true
是否支持 UDP over TCP.
是否支持 XUDP.
是否启用 TCP Fast Open.
是否启用 MPTCP.
是否启用多路复用.
当前是否存活.
延迟历史.
Show child attributes
额外延迟历史(按测试 URL 分组).
绑定的网卡名称.
路由标记.
所属代理集合名称.
底层拨号代理名称.
当前选中的节点(策略组;LoadBalance 无此字段).
"日本"
组内全部成员名称(策略组).
["默认", "香港"]
健康检查 URL(策略组).
是否在面板中隐藏.
false
图标 URL.
""
成员全部不可用时的兜底节点名称.
期望的 HTTP 响应状态码(Selector 无此字段).
当前固定选中的节点名称(仅 URLTest、Fallback).